Subject: [tsvwg] New rev draft-briscoe-docsis-q-protection-01 (relevant to L4S)

From: Bob Briscoe <[email-masked]>
Date: Fri, 17 Dec 2021 23:54:06 +0000

Gorry, Wes, David, tsvwg,

Gorry recently asked about the status of the queue protection draft.
We've just posted an update - see links below.
Once I know the status from the Independent Stream Editor (Adrian 
Farrel), I'll let you know.

Summary of Diffs:

* Added intended audience in abstract.
* Added explanation for why an I-D is being published repeating what it 
says in the DOCSIS spec.
* Avoiding describing NQB as unresponsive, 'cos it states it has the 
same responsiveness requirements as any other traffic.
* Added defaults for input parameters (not sure how they got omitted before)
* Allowed for variable time resolution (reflecting a change in the 
DOCSIS spec since original publication)
* Added logic to handle overflow of queuing score
* Added discussion of the best value to set the queue delay threshold 
CRITICALqL to.
* Added discussion of how VPNs are partially allowed for
* New section giving rationale for redirecting rather than discarding 
'ejected' packets.
* Added pointer to wider discussion of latency enforcement in L4S 
architecture

Plus a large amount of clarification throughout, particularly helped by 
Adrian Farrel's review.

Bob

-------- Forwarded Message --------
Subject: 	New Version Notification for 
draft-briscoe-docsis-q-protection-01.txt
Date: 	Fri, 17 Dec 2021 15:20:45 -0800
From: 	[email-masked]
To: 	Bob Briscoe <[email-masked]>, Greg White 
<[email-masked]>, Greg White <[email-masked]>

A new version of I-D, draft-briscoe-docsis-q-protection-01.txt
has been successfully submitted by Bob Briscoe and posted to the
IETF repository.

Name: draft-briscoe-docsis-q-protection
Revision: 01
Title: The DOCSIS(r) Queue Protection Algorithm to Preserve Low Latency
Document date: 2021-12-17
Group: Individual Submission
Pages: 29
URL: 
https://www.ietf.org/archive/id/draft-briscoe-docsis-q-protection-01.txt
Status: https://datatracker.ietf.org/doc/draft-briscoe-docsis-q-protection/
Html: 
https://www.ietf.org/archive/id/draft-briscoe-docsis-q-protection-01.html
Htmlized: 
https://datatracker.ietf.org/doc/html/draft-briscoe-docsis-q-protection
Diff: https://www.ietf.org/rfcdiff?url2=draft-briscoe-docsis-q-protection-01

Abstract:
This informational document explains the specification of the queue
protection algorithm used in DOCSIS technology since version 3.1. A
shared low latency queue relies on the non-queue-building behaviour
of every traffic flow using it. However, some flows might not take
such care, either accidentally or maliciously. If a queue is about
to exceed a threshold level of delay, the queue protection algorithm
can rapidly detect the flows most likely to be responsible. It can
then prevent harm to other traffic in the low latency queue by
ejecting selected packets (or all packets) of these flows. The
document is designed for three types of audience: a) congestion
control designers who need to understand how to keep on the 'good'
side of the lagorithm; b) implementers of the algorithm who want to
understand it in more depth; or c) designers of algorithms with
similar goals, perhaps for non-DOCSIS scenarios.

The IETF Secretariat

---

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 21 Dec 2021 13:22:32 +0000

Thanks Bob, I think it is good that this now live again!

Gorry

On 21/12/2021 12:53, Bob Briscoe wrote:
> tsvwg chairs,
>
> Given Gorry asked the status of draft-briscoe-docsis-q-protection, it 
> is still on the independent stream and depends normatively on 
> draft-ietf-tsvwg-ecn-l4s-id and now on draft-ietf-tsvwg-nqb. However, 
> the citations in the other direction (from the tsvwg L4S drafts to 
> docsis-q-protection) are only informational.
>
> Adrian's estimate of timing is below:
>
> FYI, Adrian Farrel says:
> On 18/12/2021 17:29, RFC ISE (Adrian Farrel) wrote:
>> You'll fall into place at the
>> bottom of a queue that is shorter than it was a year ago, but still longer
>> than I would like.
>>
>> My plan is to make some serious headway on the backlog before I step down
>> as ISE at the end of February next year. I can't promise that we will be
>> complete by then, but the responses from you in these two emails look like
>> a good step in the right direction.
>
>
>
> Bob
>
> Subject: 	New rev draft-briscoe-docsis-q-protection-01 (relevant to L4S)
> Date: 	Fri, 17 Dec 2021 23:54:06 +0000
> From: 	Bob Briscoe <[email-masked]>
> To: 	tsvwg IETF list <[email-masked]>, Gorry Fairhurst 
> <[email-masked]>, Wesley Eddy <[email-masked]>, Black, 
> David <[email-masked]>
> CC: 	[email-masked] <[email-masked]>
>
>
>
> * Added explanation for why an I-D is being published repeating what 
> it says in the DOCSIS spec.
> Plus a large amount of clarification throughout, particularly helped 
> by Adrian Farrel's review.
>
>
>
> Bob
>
> Status: 
> https://datatracker.ietf.org/doc/draft-briscoe-docsis-q-protection/
> Html: 
> Diff: 
> https://www.ietf.org/rfcdiff?url2=draft-briscoe-docsis-q-protection-01
>
> Abstract: